Bug 1908736 - Intel GPU driver crashes on Lenovo L440 after update
Summary: Intel GPU driver crashes on Lenovo L440 after update
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-17 13:08 UTC by Stanislav Kontar
Modified: 2021-05-25 17:02 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 17:02:49 UTC
Type: Bug


Attachments (Terms of Use)
dmesg (83.19 KB, text/plain)
2020-12-17 13:08 UTC, Stanislav Kontar
no flags Details
/sys/class/drm/card0/error (17.29 KB, text/plain)
2020-12-17 13:09 UTC, Stanislav Kontar
no flags Details


Links
System ID Private Priority Status Summary Last Updated
freedesktop.org Gitlab drm intel issues 2815 0 None None None 2020-12-17 18:18:35 UTC

Description Stanislav Kontar 2020-12-17 13:08:14 UTC
Created attachment 1739996 [details]
dmesg

1. Please describe the problem:

When I install Fedora 32, the Intel graphics driver works fine with Wayland. When I update kernel, the graphical interface crashes/freezes when trying to open a video on Wayland and even Firefox on XOrg.

2. What is the Version-Release number of the kernel:

5.9.14-100-fc32

3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :

Yes, it did with the default kernel (5.6.6-300). The problem is that it also makes Fedora 33 installer to crash, that is why I installed Fedora 32. I will try to find the first kernel which crashes.

4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:

* Install Fedora 32 on Lenovo L440. 
* Observe system working, you can play videos etc.
* Update kernel
* When opening video, graphics partially crashes on Wayland, when opening Firefox on XOrg, similar crash occurs.

5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:

Yes, tested 5.10.0-0.rc6, it is still happening.

6. Are you running any modules that not shipped with directly Fedora's kernel?:

No. (I am not aware of any)

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

Comment 1 Stanislav Kontar 2020-12-17 13:09:23 UTC
Created attachment 1739997 [details]
/sys/class/drm/card0/error

Comment 2 Fedora Program Management 2021-04-29 16:44:56 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2021-05-25 17:02:49 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.